### Function

# Ggit StatusOptions new

#### Declaration [src]

    GgitStatusOptions*
    ggit_status_options_new (
      GgitStatusOption options,
      GgitStatusShow show,
      const gchar** pathspec
    )

#### Description [src]

Creates a new `GgitStatusOptions` for use in #ggit_repository_stash_foreach.

#### Parameters

`options`

  Type: `GgitStatusOption`

  Status options.

`show`

  Type: `GgitStatusShow`

  Status show options.

`pathspec`

  Type: An array of `gchar*`

  Which paths to show, defaults to showing all paths.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GgitStatusOptions`

A newly allocated `GgitStatusOptions`.

The caller of the function takes ownership of the data, and is responsible for freeing it.